Subject: bug#54183: 28.0.91; Emacs crashes on bookmark-jump

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Feb 2022 15:17:14 +0200

> From: Gustavo Barros <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 28 Feb 2022 08:01:00 -0300
> 
> The other thing I tried was the other way around.  To use your 
> expression, to "attach GDB to the running Emacs".  So, from `/lib-src/' 
> I started `./emacsclient -c -a=""'.  I presumed I'd be able to do it 
> attach to it with the PID.  So I tried `M-x gdb RET gdb -i=mi -p <emacs 
> pid> RET'.  But got the below as response:
> 
> #+begin_example
> Attaching to process 979203
> Could not attach to process.  If your uid matches the uid of the target
> process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try
> again as the root user.  For more details, see 
> /etc/sysctl.d/10-ptrace.conf
> ptrace: Operation not permitted.
> #+end_example

This means your system disables the system call that allows GDB to
attach to a running process.  Can you change the setting the error
message mentions above, or ask your sysadmins to change it for you, or
do something else to grant you the privilege of attaching a debugger
to a process?  If you can do that, please try this method again after
enabling that privilege.